Subject: Re: bug#40845: SVG rendering issues

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 03 May 2020 16:18:01 +0200

Alan Third <[email-masked]> writes:

> I’ve run into a problem with the base64 encoding.
>
> /usr/bin/base64 encodes this file differently from Emacs:
>
>     https://upload.wikimedia.org/wikipedia/commons/9/92/MixedUnitAddition.svg
>
> librsvg doesn’t like the way Emacs encodes the file, but is fine with
> the system base64.
>
> I think the problem is the GBP £ symbol on line 39.
>
> Do I need to do something special, like set up character encodings?

Before base64-encoding, you should encode the data to whatever coding
system is expected, which would probably be utf-8 here.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no